<html>
<head>
<title>Ogre::ConvexBody Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-static-methods">Static Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ConvexBody Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ConvexBody" -->
<p>Holds a solid representation of a convex body.  
 <a href="classOgre_1_1ConvexBody.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreConvexBody_8h_source.html">OgreConvexBody.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ConvexBody-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a7064b26a96cd25b8aeb5ba40640ef7b8">PolygonList</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a55e376da89733093d9061f2b5acebfb2">ConvexBody</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a6f643f10031458c33cc9b51dc4a8f893">~ConvexBody</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ae9792f9784f57a75d89a8aecb9ee2f58">ConvexBody</a> (const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;cpy)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a9abd096ec64a6eedbd942a4f15ae4c34">define</a> (const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a> &amp;frustum)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Build a new polygon representation from a frustum.  <a href="#a9abd096ec64a6eedbd942a4f15ae4c34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#af344427771b8ee0bde94a04e68cf4b77">define</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;aab)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Build a new polygon representation from an AAB.  <a href="#af344427771b8ee0bde94a04e68cf4b77"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#af5fb91ac168eec8056adb7b2677523e1">clip</a> (const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a> &amp;frustum)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clips the body with a frustum.  <a href="#af5fb91ac168eec8056adb7b2677523e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ad414f1e05c49050f464c164b9da8e04d">clip</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;aab)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clips the body with an AAB.  <a href="#ad414f1e05c49050f464c164b9da8e04d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a132ccd23a0b43b15077605d813051c4d">clip</a> (const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;body)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clips the body with another body.  <a href="#a132ccd23a0b43b15077605d813051c4d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ac8a3f100f1b91cadf03ec2b9d9d6f684">clip</a> (const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;pl, bool keepNegative=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clips the object by the positive half space of a plane.  <a href="#ac8a3f100f1b91cadf03ec2b9d9d6f684"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ab281318edcb6f9438693caecf718616c">extend</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;pt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Extends the existing body to incorporate the passed in point as a convex hull.  <a href="#ab281318edcb6f9438693caecf718616c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a153a0fac3f0c9687a969a2565ccd320e">reset</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets the object.  <a href="#a153a0fac3f0c9687a969a2565ccd320e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ab31e6599524de129c8186db52f4d3bfc">getPolygonCount</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current number of polygons.  <a href="#ab31e6599524de129c8186db52f4d3bfc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ab62abaefae0a1d6352a05f4945bee81f">getVertexCount</a> (size_t poly) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of vertices for a polygon.  <a href="#ab62abaefae0a1d6352a05f4945bee81f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a6a3e37ac14a7f02de3cf214a3c6eac11">getPolygon</a> (size_t poly) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a polygon.  <a href="#a6a3e37ac14a7f02de3cf214a3c6eac11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ae941be51c7c3b852c67e51a15c0bb757">getVertex</a> (size_t poly, size_t vertex) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a specific vertex of a polygon.  <a href="#ae941be51c7c3b852c67e51a15c0bb757"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#abc9d10d37f23d0a0b82f1773bac04e1e">getNormal</a> (size_t poly)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the normal of a specified polygon.  <a href="#abc9d10d37f23d0a0b82f1773bac04e1e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a83072f016eefa58aeb053131faf48ec5">getAABB</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an AABB representation.  <a href="#a83072f016eefa58aeb053131faf48ec5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a6d364974ae7837fb6d733b973a8c2e23">hasClosedHull</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if the body has a closed hull.  <a href="#a6d364974ae7837fb6d733b973a8c2e23"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a4d33db4b9003a76a299649cede0c5557">mergePolygons</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Merges all neighboring polygons into one single polygon if they are lay in the same plane.  <a href="#a4d33db4b9003a76a299649cede0c5557"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ad671d14101224807f28de10abf66f8cd">operator==</a> (const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determines if the current object is equal to the compared one.  <a href="#ad671d14101224807f28de10abf66f8cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a54167fd6c91338d1d107fa866c329a3b">operator!=</a> (const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determines if the current object is not equal to the compared one.  <a href="#a54167fd6c91338d1d107fa866c329a3b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a6244600b134c90e33fa32e6d0f1e008b">logInfo</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Log.html">Log</a> details of this body.  <a href="#a6244600b134c90e33fa32e6d0f1e008b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a59fb24ee9a509ade6490ad1d9aac16d7">_initialisePool</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise the internal polygon pool used to minimise allocations.  <a href="#a59fb24ee9a509ade6490ad1d9aac16d7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a0858a878ce677241ef5632b04a7ffea4">_destroyPool</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tear down the internal polygon pool used to minimise allocations.  <a href="#a0858a878ce677241ef5632b04a7ffea4"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a975d3ab5e37339fac99d712a32134b71">insertPolygon</a> (<a class="el" href="classOgre_1_1Polygon.html">Polygon</a> *pdata, size_t poly)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inserts a polygon at a particular point in the body.  <a href="#a975d3ab5e37339fac99d712a32134b71"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a6d15ea1ce9f9249484b178bb209b2b95">insertPolygon</a> (<a class="el" href="classOgre_1_1Polygon.html">Polygon</a> *pdata)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inserts a polygon at the end.  <a href="#a6d15ea1ce9f9249484b178bb209b2b95"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a9d5648f1dd2ab1dd9c85b1581029983e">insertVertex</a> (size_t poly, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vdata, size_t vertex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inserts a vertex for a polygon at a particular point.  <a href="#a9d5648f1dd2ab1dd9c85b1581029983e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a1e4e72b739b38002b714bcbb63813a7d">insertVertex</a> (size_t poly, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vdata)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inserts a vertex for a polygon at the end.  <a href="#a1e4e72b739b38002b714bcbb63813a7d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a96f5b0fff03173772d7e20e5ec74e237">deletePolygon</a> (size_t poly)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes a specific polygon.  <a href="#a96f5b0fff03173772d7e20e5ec74e237"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Polygon.html">Polygon</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#abd7e84750f61aed920fb4e847ea29ac9">unlinkPolygon</a> (size_t poly)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a specific polygon from the body without deleting it.  <a href="#abd7e84750f61aed920fb4e847ea29ac9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ad139be0d8377d805b0709966974a5cda">moveDataFromBody</a> (<a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;body)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Moves all polygons from the parameter body to this instance.  <a href="#ad139be0d8377d805b0709966974a5cda"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a803fa40122153f8772383b7d79ec7e6a">deleteVertex</a> (size_t poly, size_t vertex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes a specific vertex of a specific polygon.  <a href="#a803fa40122153f8772383b7d79ec7e6a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a28a76d44fefb5741e2c772533f7b1ed0">setPolygon</a> (<a class="el" href="classOgre_1_1Polygon.html">Polygon</a> *pdata, size_t poly)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Replace a polygon at a particular index.  <a href="#a28a76d44fefb5741e2c772533f7b1ed0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a115357323021c86327c0aa8a26b2404f">setVertex</a> (size_t poly, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vdata, size_t vertex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Replace a specific vertex of a polygon.  <a href="#a115357323021c86327c0aa8a26b2404f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">Polygon::EdgeMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#afb0f28d2bc33d000f2b924b3ff287984">getSingleEdges</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the single edges in an EdgeMap (= edges where one side is a vertex and the other is empty space (a hole in the body)).  <a href="#afb0f28d2bc33d000f2b924b3ff287984"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a4bd6ead8c709b50e3ae96e6c518b50cc">storeEdgesOfPolygon</a> (size_t poly, <a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">Polygon::EdgeMap</a> *edgeMap) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the edges of a specific polygon in a passed in structure.  <a href="#a4bd6ead8c709b50e3ae96e6c518b50cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a712d479b37a37cf294f249b942546293">allocateSpace</a> (size_t numPolygons, size_t numVertices)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocates space for an specified amount of polygons with each of them having a specified number of vertices.  <a href="#a712d479b37a37cf294f249b942546293"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ad9638a611986e5d9fbafacd777bb7bd3">findAndEraseEdgePair</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vec, <a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">Polygon::EdgeMap</a> &amp;intersectionEdges, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vNext) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Searches for a pair (an edge) in the intersectionList with an entry that equals vec, and removes it from the passed in list.  <a href="#ad9638a611986e5d9fbafacd777bb7bd3"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-methods"></a>
Static Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Polygon.html">Polygon</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#ae7eb606d204e881ac3620f49ef252e7c">allocatePolygon</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a new polygon from the pool.  <a href="#ae7eb606d204e881ac3620f49ef252e7c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a168b8dd909571bb3f45480d21e709fd4">freePolygon</a> (<a class="el" href="classOgre_1_1Polygon.html">Polygon</a> *poly)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release a polygon back tot he pool.  <a href="#a168b8dd909571bb3f45480d21e709fd4"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ConvexBody.html#a7064b26a96cd25b8aeb5ba40640ef7b8">PolygonList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a4a9287e8e6a68839a451150959b1cd95">mPolygons</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ConvexBody.html#a7064b26a96cd25b8aeb5ba40640ef7b8">PolygonList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a8f45e2762a61cfa1ce2cf11fbc8cb6a9">msFreePolygons</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html#a1082989fe2c9773d3e2385dec3f7f694">operator&lt;&lt;</a> (std::ostream &amp;strm, const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;body)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints out the body with all its polygons.  <a href="#a1082989fe2c9773d3e2385dec3f7f694"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Holds a solid representation of a convex body. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Administers a convex body. All polygons of the body are convex and planar. Several operations may be applied, ranging from intersection to join where each result it itself a convex body. </dd></dl>

<p>Definition at line <a class="el" href="OgreConvexBody_8h_source.html#l00051">51</a> of file <a class="el" href="OgreConvexBody_8h_source.html">OgreConvexBody.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a7064b26a96cd25b8aeb5ba40640ef7b8"></a><!-- doxytag: member="Ogre::ConvexBody::PolygonList" ref="a7064b26a96cd25b8aeb5ba40640ef7b8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Polygon.html">Polygon</a>* &gt;::type <a class="el" href="classOgre_1_1ConvexBody.html#a7064b26a96cd25b8aeb5ba40640ef7b8">Ogre::ConvexBody::PolygonList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConvexBody_8h_source.html#l00054">54</a> of file <a class="el" href="OgreConvexBody_8h_source.html">OgreConvexBody.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a55e376da89733093d9061f2b5acebfb2"></a><!-- doxytag: member="Ogre::ConvexBody::ConvexBody" ref="a55e376da89733093d9061f2b5acebfb2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConvexBody.html#a55e376da89733093d9061f2b5acebfb2">Ogre::ConvexBody::ConvexBody</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6f643f10031458c33cc9b51dc4a8f893"></a><!-- doxytag: member="Ogre::ConvexBody::~ConvexBody" ref="a6f643f10031458c33cc9b51dc4a8f893" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConvexBody.html#a6f643f10031458c33cc9b51dc4a8f893">Ogre::ConvexBody::~ConvexBody</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae9792f9784f57a75d89a8aecb9ee2f58"></a><!-- doxytag: member="Ogre::ConvexBody::ConvexBody" ref="ae9792f9784f57a75d89a8aecb9ee2f58" args="(const ConvexBody &amp;cpy)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConvexBody.html#a55e376da89733093d9061f2b5acebfb2">Ogre::ConvexBody::ConvexBody</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&#160;</td>
          <td class="paramname"><em>cpy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0858a878ce677241ef5632b04a7ffea4"></a><!-- doxytag: member="Ogre::ConvexBody::_destroyPool" ref="a0858a878ce677241ef5632b04a7ffea4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1ConvexBody.html#a0858a878ce677241ef5632b04a7ffea4">Ogre::ConvexBody::_destroyPool</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tear down the internal polygon pool used to minimise allocations. </p>

</div>
</div>
<a class="anchor" id="a59fb24ee9a509ade6490ad1d9aac16d7"></a><!-- doxytag: member="Ogre::ConvexBody::_initialisePool" ref="a59fb24ee9a509ade6490ad1d9aac16d7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1ConvexBody.html#a59fb24ee9a509ade6490ad1d9aac16d7">Ogre::ConvexBody::_initialisePool</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialise the internal polygon pool used to minimise allocations. </p>

</div>
</div>
<a class="anchor" id="ae7eb606d204e881ac3620f49ef252e7c"></a><!-- doxytag: member="Ogre::ConvexBody::allocatePolygon" ref="ae7eb606d204e881ac3620f49ef252e7c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Polygon.html">Polygon</a>* <a class="el" href="classOgre_1_1ConvexBody.html#ae7eb606d204e881ac3620f49ef252e7c">Ogre::ConvexBody::allocatePolygon</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a new polygon from the pool. </p>

</div>
</div>
<a class="anchor" id="a712d479b37a37cf294f249b942546293"></a><!-- doxytag: member="Ogre::ConvexBody::allocateSpace" ref="a712d479b37a37cf294f249b942546293" args="(size_t numPolygons, size_t numVertices)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a712d479b37a37cf294f249b942546293">Ogre::ConvexBody::allocateSpace</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>numPolygons</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>numVertices</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Allocates space for an specified amount of polygons with each of them having a specified number of vertices. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Old data (if available) will be erased. </dd></dl>

</div>
</div>
<a class="anchor" id="af5fb91ac168eec8056adb7b2677523e1"></a><!-- doxytag: member="Ogre::ConvexBody::clip" ref="af5fb91ac168eec8056adb7b2677523e1" args="(const Frustum &amp;frustum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#af5fb91ac168eec8056adb7b2677523e1">Ogre::ConvexBody::clip</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a> &amp;&#160;</td>
          <td class="paramname"><em>frustum</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clips the body with a frustum. </p>
<p>The resulting holes are filled with new polygons. </p>

</div>
</div>
<a class="anchor" id="ad414f1e05c49050f464c164b9da8e04d"></a><!-- doxytag: member="Ogre::ConvexBody::clip" ref="ad414f1e05c49050f464c164b9da8e04d" args="(const AxisAlignedBox &amp;aab)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#af5fb91ac168eec8056adb7b2677523e1">Ogre::ConvexBody::clip</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&#160;</td>
          <td class="paramname"><em>aab</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clips the body with an AAB. </p>
<p>The resulting holes are filled with new polygons. </p>

</div>
</div>
<a class="anchor" id="a132ccd23a0b43b15077605d813051c4d"></a><!-- doxytag: member="Ogre::ConvexBody::clip" ref="a132ccd23a0b43b15077605d813051c4d" args="(const ConvexBody &amp;body)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#af5fb91ac168eec8056adb7b2677523e1">Ogre::ConvexBody::clip</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&#160;</td>
          <td class="paramname"><em>body</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clips the body with another body. </p>

</div>
</div>
<a class="anchor" id="ac8a3f100f1b91cadf03ec2b9d9d6f684"></a><!-- doxytag: member="Ogre::ConvexBody::clip" ref="ac8a3f100f1b91cadf03ec2b9d9d6f684" args="(const Plane &amp;pl, bool keepNegative=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#af5fb91ac168eec8056adb7b2677523e1">Ogre::ConvexBody::clip</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;&#160;</td>
          <td class="paramname"><em>pl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>keepNegative</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clips the object by the positive half space of a plane. </p>

</div>
</div>
<a class="anchor" id="a9abd096ec64a6eedbd942a4f15ae4c34"></a><!-- doxytag: member="Ogre::ConvexBody::define" ref="a9abd096ec64a6eedbd942a4f15ae4c34" args="(const Frustum &amp;frustum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a9abd096ec64a6eedbd942a4f15ae4c34">Ogre::ConvexBody::define</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a> &amp;&#160;</td>
          <td class="paramname"><em>frustum</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Build a new polygon representation from a frustum. </p>

</div>
</div>
<a class="anchor" id="af344427771b8ee0bde94a04e68cf4b77"></a><!-- doxytag: member="Ogre::ConvexBody::define" ref="af344427771b8ee0bde94a04e68cf4b77" args="(const AxisAlignedBox &amp;aab)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a9abd096ec64a6eedbd942a4f15ae4c34">Ogre::ConvexBody::define</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&#160;</td>
          <td class="paramname"><em>aab</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Build a new polygon representation from an AAB. </p>

</div>
</div>
<a class="anchor" id="a96f5b0fff03173772d7e20e5ec74e237"></a><!-- doxytag: member="Ogre::ConvexBody::deletePolygon" ref="a96f5b0fff03173772d7e20e5ec74e237" args="(size_t poly)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a96f5b0fff03173772d7e20e5ec74e237">Ogre::ConvexBody::deletePolygon</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Deletes a specific polygon. </p>

</div>
</div>
<a class="anchor" id="a803fa40122153f8772383b7d79ec7e6a"></a><!-- doxytag: member="Ogre::ConvexBody::deleteVertex" ref="a803fa40122153f8772383b7d79ec7e6a" args="(size_t poly, size_t vertex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a803fa40122153f8772383b7d79ec7e6a">Ogre::ConvexBody::deleteVertex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Deletes a specific vertex of a specific polygon. </p>

</div>
</div>
<a class="anchor" id="ab281318edcb6f9438693caecf718616c"></a><!-- doxytag: member="Ogre::ConvexBody::extend" ref="ab281318edcb6f9438693caecf718616c" args="(const Vector3 &amp;pt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#ab281318edcb6f9438693caecf718616c">Ogre::ConvexBody::extend</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Extends the existing body to incorporate the passed in point as a convex hull. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You must already have constructed a basic body using a 'construct' method. </dd></dl>

</div>
</div>
<a class="anchor" id="ad9638a611986e5d9fbafacd777bb7bd3"></a><!-- doxytag: member="Ogre::ConvexBody::findAndEraseEdgePair" ref="ad9638a611986e5d9fbafacd777bb7bd3" args="(const Vector3 &amp;vec, Polygon::EdgeMap &amp;intersectionEdges, Vector3 &amp;vNext) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConvexBody.html#ad9638a611986e5d9fbafacd777bb7bd3">Ogre::ConvexBody::findAndEraseEdgePair</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">Polygon::EdgeMap</a> &amp;&#160;</td>
          <td class="paramname"><em>intersectionEdges</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vNext</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Searches for a pair (an edge) in the intersectionList with an entry that equals vec, and removes it from the passed in list. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">vec</td><td>The vertex to search for in intersectionEdges </td></tr>
    <tr><td class="paramname">intersectionEdges</td><td>A list of edges, which is updated if a match is found </td></tr>
    <tr><td class="paramname">vNext</td><td>A reference to a vector which will be filled with the other vertex at the matching edge, if found. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True if a match was found </dd></dl>

</div>
</div>
<a class="anchor" id="a168b8dd909571bb3f45480d21e709fd4"></a><!-- doxytag: member="Ogre::ConvexBody::freePolygon" ref="a168b8dd909571bb3f45480d21e709fd4" args="(Polygon *poly)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1ConvexBody.html#a168b8dd909571bb3f45480d21e709fd4">Ogre::ConvexBody::freePolygon</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Polygon.html">Polygon</a> *&#160;</td>
          <td class="paramname"><em>poly</em></td><td>)</td>
          <td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release a polygon back tot he pool. </p>

</div>
</div>
<a class="anchor" id="a83072f016eefa58aeb053131faf48ec5"></a><!-- doxytag: member="Ogre::ConvexBody::getAABB" ref="a83072f016eefa58aeb053131faf48ec5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> <a class="el" href="classOgre_1_1ConvexBody.html#a83072f016eefa58aeb053131faf48ec5">Ogre::ConvexBody::getAABB</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns an AABB representation. </p>

</div>
</div>
<a class="anchor" id="abc9d10d37f23d0a0b82f1773bac04e1e"></a><!-- doxytag: member="Ogre::ConvexBody::getNormal" ref="abc9d10d37f23d0a0b82f1773bac04e1e" args="(size_t poly)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1ConvexBody.html#abc9d10d37f23d0a0b82f1773bac04e1e">Ogre::ConvexBody::getNormal</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the normal of a specified polygon. </p>

</div>
</div>
<a class="anchor" id="a6a3e37ac14a7f02de3cf214a3c6eac11"></a><!-- doxytag: member="Ogre::ConvexBody::getPolygon" ref="a6a3e37ac14a7f02de3cf214a3c6eac11" args="(size_t poly) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Polygon.html">Polygon</a>&amp; <a class="el" href="classOgre_1_1ConvexBody.html#a6a3e37ac14a7f02de3cf214a3c6eac11">Ogre::ConvexBody::getPolygon</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a polygon. </p>

</div>
</div>
<a class="anchor" id="ab31e6599524de129c8186db52f4d3bfc"></a><!-- doxytag: member="Ogre::ConvexBody::getPolygonCount" ref="ab31e6599524de129c8186db52f4d3bfc" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ConvexBody.html#ab31e6599524de129c8186db52f4d3bfc">Ogre::ConvexBody::getPolygonCount</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the current number of polygons. </p>

</div>
</div>
<a class="anchor" id="afb0f28d2bc33d000f2b924b3ff287984"></a><!-- doxytag: member="Ogre::ConvexBody::getSingleEdges" ref="afb0f28d2bc33d000f2b924b3ff287984" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">Polygon::EdgeMap</a> <a class="el" href="classOgre_1_1ConvexBody.html#afb0f28d2bc33d000f2b924b3ff287984">Ogre::ConvexBody::getSingleEdges</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the single edges in an EdgeMap (= edges where one side is a vertex and the other is empty space (a hole in the body)). </p>

</div>
</div>
<a class="anchor" id="ae941be51c7c3b852c67e51a15c0bb757"></a><!-- doxytag: member="Ogre::ConvexBody::getVertex" ref="ae941be51c7c3b852c67e51a15c0bb757" args="(size_t poly, size_t vertex) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1ConvexBody.html#ae941be51c7c3b852c67e51a15c0bb757">Ogre::ConvexBody::getVertex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a specific vertex of a polygon. </p>

</div>
</div>
<a class="anchor" id="ab62abaefae0a1d6352a05f4945bee81f"></a><!-- doxytag: member="Ogre::ConvexBody::getVertexCount" ref="ab62abaefae0a1d6352a05f4945bee81f" args="(size_t poly) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ConvexBody.html#ab62abaefae0a1d6352a05f4945bee81f">Ogre::ConvexBody::getVertexCount</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the number of vertices for a polygon. </p>

</div>
</div>
<a class="anchor" id="a6d364974ae7837fb6d733b973a8c2e23"></a><!-- doxytag: member="Ogre::ConvexBody::hasClosedHull" ref="a6d364974ae7837fb6d733b973a8c2e23" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConvexBody.html#a6d364974ae7837fb6d733b973a8c2e23">Ogre::ConvexBody::hasClosedHull</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Checks if the body has a closed hull. </p>

</div>
</div>
<a class="anchor" id="a975d3ab5e37339fac99d712a32134b71"></a><!-- doxytag: member="Ogre::ConvexBody::insertPolygon" ref="a975d3ab5e37339fac99d712a32134b71" args="(Polygon *pdata, size_t poly)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a975d3ab5e37339fac99d712a32134b71">Ogre::ConvexBody::insertPolygon</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Polygon.html">Polygon</a> *&#160;</td>
          <td class="paramname"><em>pdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Inserts a polygon at a particular point in the body. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>After this method is called, the <a class="el" href="classOgre_1_1ConvexBody.html" title="Holds a solid representation of a convex body.">ConvexBody</a> 'owns' this <a class="el" href="classOgre_1_1Polygon.html" title="The class represents a polygon in 3D space.">Polygon</a> and will be responsible for deleting it. </dd></dl>

</div>
</div>
<a class="anchor" id="a6d15ea1ce9f9249484b178bb209b2b95"></a><!-- doxytag: member="Ogre::ConvexBody::insertPolygon" ref="a6d15ea1ce9f9249484b178bb209b2b95" args="(Polygon *pdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a975d3ab5e37339fac99d712a32134b71">Ogre::ConvexBody::insertPolygon</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Polygon.html">Polygon</a> *&#160;</td>
          <td class="paramname"><em>pdata</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Inserts a polygon at the end. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>After this method is called, the <a class="el" href="classOgre_1_1ConvexBody.html" title="Holds a solid representation of a convex body.">ConvexBody</a> 'owns' this <a class="el" href="classOgre_1_1Polygon.html" title="The class represents a polygon in 3D space.">Polygon</a> and will be responsible for deleting it. </dd></dl>

</div>
</div>
<a class="anchor" id="a9d5648f1dd2ab1dd9c85b1581029983e"></a><!-- doxytag: member="Ogre::ConvexBody::insertVertex" ref="a9d5648f1dd2ab1dd9c85b1581029983e" args="(size_t poly, const Vector3 &amp;vdata, size_t vertex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a9d5648f1dd2ab1dd9c85b1581029983e">Ogre::ConvexBody::insertVertex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Inserts a vertex for a polygon at a particular point. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>No checks are done whether the assembled polygon is (still) planar, the caller must ensure that this is the case. </dd></dl>

</div>
</div>
<a class="anchor" id="a1e4e72b739b38002b714bcbb63813a7d"></a><!-- doxytag: member="Ogre::ConvexBody::insertVertex" ref="a1e4e72b739b38002b714bcbb63813a7d" args="(size_t poly, const Vector3 &amp;vdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a9d5648f1dd2ab1dd9c85b1581029983e">Ogre::ConvexBody::insertVertex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vdata</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Inserts a vertex for a polygon at the end. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>No checks are done whether the assembled polygon is (still) planar, the caller must ensure that this is the case. </dd></dl>

</div>
</div>
<a class="anchor" id="a6244600b134c90e33fa32e6d0f1e008b"></a><!-- doxytag: member="Ogre::ConvexBody::logInfo" ref="a6244600b134c90e33fa32e6d0f1e008b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a6244600b134c90e33fa32e6d0f1e008b">Ogre::ConvexBody::logInfo</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Log.html">Log</a> details of this body. </p>

</div>
</div>
<a class="anchor" id="a4d33db4b9003a76a299649cede0c5557"></a><!-- doxytag: member="Ogre::ConvexBody::mergePolygons" ref="a4d33db4b9003a76a299649cede0c5557" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a4d33db4b9003a76a299649cede0c5557">Ogre::ConvexBody::mergePolygons</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Merges all neighboring polygons into one single polygon if they are lay in the same plane. </p>

</div>
</div>
<a class="anchor" id="ad139be0d8377d805b0709966974a5cda"></a><!-- doxytag: member="Ogre::ConvexBody::moveDataFromBody" ref="ad139be0d8377d805b0709966974a5cda" args="(ConvexBody &amp;body)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#ad139be0d8377d805b0709966974a5cda">Ogre::ConvexBody::moveDataFromBody</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&#160;</td>
          <td class="paramname"><em>body</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Moves all polygons from the parameter body to this instance. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Both the passed in object and this instance are modified </dd></dl>

</div>
</div>
<a class="anchor" id="a54167fd6c91338d1d107fa866c329a3b"></a><!-- doxytag: member="Ogre::ConvexBody::operator!=" ref="a54167fd6c91338d1d107fa866c329a3b" args="(const ConvexBody &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ConvexBody::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determines if the current object is not equal to the compared one. </p>

<p>Definition at line <a class="el" href="OgreConvexBody_8h_source.html#l00147">147</a> of file <a class="el" href="OgreConvexBody_8h_source.html">OgreConvexBody.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad671d14101224807f28de10abf66f8cd"></a><!-- doxytag: member="Ogre::ConvexBody::operator==" ref="ad671d14101224807f28de10abf66f8cd" args="(const ConvexBody &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ConvexBody::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determines if the current object is equal to the compared one. </p>

</div>
</div>
<a class="anchor" id="a153a0fac3f0c9687a969a2565ccd320e"></a><!-- doxytag: member="Ogre::ConvexBody::reset" ref="a153a0fac3f0c9687a969a2565ccd320e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a153a0fac3f0c9687a969a2565ccd320e">Ogre::ConvexBody::reset</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets the object. </p>

</div>
</div>
<a class="anchor" id="a28a76d44fefb5741e2c772533f7b1ed0"></a><!-- doxytag: member="Ogre::ConvexBody::setPolygon" ref="a28a76d44fefb5741e2c772533f7b1ed0" args="(Polygon *pdata, size_t poly)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a28a76d44fefb5741e2c772533f7b1ed0">Ogre::ConvexBody::setPolygon</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Polygon.html">Polygon</a> *&#160;</td>
          <td class="paramname"><em>pdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Replace a polygon at a particular index. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Again, the passed in polygon is owned by this object after this call returns, and this object is resonsible for deleting it. </dd></dl>

</div>
</div>
<a class="anchor" id="a115357323021c86327c0aa8a26b2404f"></a><!-- doxytag: member="Ogre::ConvexBody::setVertex" ref="a115357323021c86327c0aa8a26b2404f" args="(size_t poly, const Vector3 &amp;vdata, size_t vertex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a115357323021c86327c0aa8a26b2404f">Ogre::ConvexBody::setVertex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Replace a specific vertex of a polygon. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>No checks are done whether the assembled polygon is (still) planar, the caller must ensure that this is the case. </dd></dl>

</div>
</div>
<a class="anchor" id="a4bd6ead8c709b50e3ae96e6c518b50cc"></a><!-- doxytag: member="Ogre::ConvexBody::storeEdgesOfPolygon" ref="a4bd6ead8c709b50e3ae96e6c518b50cc" args="(size_t poly, Polygon::EdgeMap *edgeMap) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConvexBody.html#a4bd6ead8c709b50e3ae96e6c518b50cc">Ogre::ConvexBody::storeEdgesOfPolygon</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">Polygon::EdgeMap</a> *&#160;</td>
          <td class="paramname"><em>edgeMap</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stores the edges of a specific polygon in a passed in structure. </p>

</div>
</div>
<a class="anchor" id="abd7e84750f61aed920fb4e847ea29ac9"></a><!-- doxytag: member="Ogre::ConvexBody::unlinkPolygon" ref="abd7e84750f61aed920fb4e847ea29ac9" args="(size_t poly)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Polygon.html">Polygon</a>* <a class="el" href="classOgre_1_1ConvexBody.html#abd7e84750f61aed920fb4e847ea29ac9">Ogre::ConvexBody::unlinkPolygon</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>poly</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes a specific polygon from the body without deleting it. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The retrieved polygon needs to be deleted later by the caller. </dd></dl>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a1082989fe2c9773d3e2385dec3f7f694"></a><!-- doxytag: member="Ogre::ConvexBody::operator&lt;&lt;" ref="a1082989fe2c9773d3e2385dec3f7f694" args="(std::ostream &amp;strm, const ConvexBody &amp;body)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>strm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&#160;</td>
          <td class="paramname"><em>body</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Prints out the body with all its polygons. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4a9287e8e6a68839a451150959b1cd95"></a><!-- doxytag: member="Ogre::ConvexBody::mPolygons" ref="a4a9287e8e6a68839a451150959b1cd95" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConvexBody.html#a7064b26a96cd25b8aeb5ba40640ef7b8">PolygonList</a> <a class="el" href="classOgre_1_1ConvexBody.html#a4a9287e8e6a68839a451150959b1cd95">Ogre::ConvexBody::mPolygons</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConvexBody_8h_source.html#l00057">57</a> of file <a class="el" href="OgreConvexBody_8h_source.html">OgreConvexBody.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8f45e2762a61cfa1ce2cf11fbc8cb6a9"></a><!-- doxytag: member="Ogre::ConvexBody::msFreePolygons" ref="a8f45e2762a61cfa1ce2cf11fbc8cb6a9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConvexBody.html#a7064b26a96cd25b8aeb5ba40640ef7b8">PolygonList</a> <a class="el" href="classOgre_1_1ConvexBody.html#a8f45e2762a61cfa1ce2cf11fbc8cb6a9">Ogre::ConvexBody::msFreePolygons</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConvexBody_8h_source.html#l00060">60</a> of file <a class="el" href="OgreConvexBody_8h_source.html">OgreConvexBody.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreConvexBody_8h_source.html">OgreConvexBody.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
